# $Revision: 1.105 $, $Date: 2010/04/04 18:12:55 $
#
# Conditional build:
%bcond_with	license_agreement	# generates package
#
%define		base_name	acroread
%define		rel		3
Summary:	Adobe Acrobat Reader
Summary(pl.UTF-8):	Adobe Acrobat Reader - czytnik plików PDF
Summary(ru.UTF-8):	Программа для чтения документов в формате PDF от Adobe
Summary(uk.UTF-8):	Програма для читання документів у форматі PDF від Adobe
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	9.3
Release:	%{rel}%{?with_license_agreement:wla}
Epoch:		1
License:	distribution restricted (http://www.adobe.com/products/acrobat/distribute.html)
# in short:
# - not distributable on public sites (only linking to adobe.com permitted)
# - distribution on CD requires signing Distribution Agreement (see URL above)
Group:		X11/Applications/Graphics
%if %{with license_agreement}
Source0:	ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/%{version}/enu/AdbeRdr%{version}-1_i486linux_enu.tar.bz2
# NoSource0-md5:	0f63e9d8b9ef3d07abbb4e1a6eb45b3f
NoSource:	0
%else
Source1:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source1-md5:	329c25f457fea66ec502b7ef70cb9ede
%endif
# please update @COPYSOURCES@ below if you add more Sources or Patches.
Source2:	%{base_name}.desktop
Source3:	%{base_name}.png
URL:		http://www.adobe.com/products/acrobat/
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.357
Requires:	iconv
Requires:	openldap-libs < 2.5
Requires:	openldap-libs >= 2.4
%else
Requires:	rpm-build-macros >= 1.544
Requires:	rpm-build-tools >= 4.4.37
%endif
ExclusiveArch:	%{ix86}
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		platform	intellinux
%define		tar0		ILINXR.TAR
%define		tar1		COMMON.TAR

%define		_noautostrip	.*\.api
%define		_noautoprov	libcrypto\.so.* libssl\.so.* libcurl\.so.* libicu.* libstdc++\.so.* libgcc_s\.so.*
%define		_noautoreq	%{_noautoprov} '^lib.*\.so$' '^lib.*\(VERSION\)$'

%description
Adobe(R) Reader(R) is free software that lets you view and print PDF
files (Portable Document Format) on a variety of hardware and
operating system platforms.

%description -l pl.UTF-8
Adobe(R) Reader(R) jest darmowym oprogramowaniem umożliwiającym
oglądanie oraz drukowanie plików PDF (Portable Document Format) na
różnych platformach sprzętowych oraz różnych systemach operacyjnych.

%description -l ru.UTF-8
Программа для чтения документов в формате Portable Document Format
(PDF), сгенерированных Adobe Acrobat'ом.

%description -l uk.UTF-8
Програма для читання документів у форматі Portable Document Format
(PDF), згенерованих Adobe Acrobat'ом.

%package -n browser-plugin-%{name}
Summary:	PDF plugin for Mozilla compatible browsers
Summary(pl.UTF-8):	Wtyczka PDF dla przeglądarek zgodnych Mozilla
Group:		X11/Applications
Requires:	%{base_name} = %{epoch}:%{version}-%{release}
Requires:	browser-plugins >= 2.0
Obsoletes:	acroread-plugin
Obsoletes:	mozilla-plugin-acroread

%description -n browser-plugin-%{name}
A Mozilla plugin for displaying PDF (Portable Document Format) files.

%description -n browser-plugin-%{name} -l pl.UTF-8
Wtyczka Mozilli do wyświetlania plików PDF (Portable Document Format).

%prep
%if %{with license_agreement}
%setup -q -c
cd AdobeReader
tar xf %{tar0}
tar xf %{tar1}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
	s/@COPYSOURCES@/%{base_name}{.desktop,.png}/g
' %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{base_name},%{_browserpluginsdir}} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

# note: there're also AdobeReader/Adobe/Help{,Viewer}
cd AdobeReader/Adobe/Reader9
cp -a Reader Resource $RPM_BUILD_ROOT%{_libdir}/%{base_name}
awk -v INSTDIR=%{_libdir}/%{base_name}/Reader \
	'/^install_dir=/ {print "install_dir="INSTDIR; next} \
	{print}' \
	bin/%{base_name} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}
install Browser/%{platform}/* $RPM_BUILD_ROOT%{_browserpluginsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

cp -a Browser/HowTo $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/

rm -rf $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/Patch

ln -sf /usr/lib/liblber-2.4.so.2 $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/liblber.so
ln -sf /usr/lib/libldap-2.4.so.2 $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/libldap.so
ln -sf /usr/share/ssl/ca-bundle.crt $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/Cert/curl-ca-bundle.crt

chmod a-x $RPM_BUILD_ROOT%{_libdir}/%{base_name}/Reader/%{platform}/lib/*.so.*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%endif

%if %{with license_agreement}
%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%endif

%files
%defattr(644,root,root,755)
%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%else
%doc AdobeReader/ReadMe.htm
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{base_name}
%{_libdir}/%{base_name}/Resource
%dir %{_libdir}/%{base_name}/Reader
%{_libdir}/%{base_name}/Reader/help
%{_libdir}/%{base_name}/Reader/AcroVersion
%{_libdir}/%{base_name}/Reader/Cert
%{_libdir}/%{base_name}/Reader/GlobalPrefs
%{_libdir}/%{base_name}/Reader/HowTo
%{_libdir}/%{base_name}/Reader/IDTemplates
%{_libdir}/%{base_name}/Reader/JavaScripts
%{_libdir}/%{base_name}/Reader/Legal
%{_libdir}/%{base_name}/Reader/Tracker
%{_libdir}/%{base_name}/Reader/PDFSigQFormalRep.pdf
%{_libdir}/%{base_name}/Reader/pmd.cer
%{_libdir}/%{base_name}/Reader/%{platform}/mozilla
%dir %{_libdir}/%{base_name}/Reader/%{platform}
%dir %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins
%dir %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/Multimedia
%dir %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins3d
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/SPPlugins
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/bin
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/lib
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/*.api
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins3d/*.x3d
%attr(755,root,root) %{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/Multimedia/MPP
%{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/AcroForm
%{_libdir}/%{base_name}/Reader/%{platform}/plug_ins/Annotations
%{_libdir}/%{base_name}/Reader/%{platform}/plug_ins3d/prc
%{_desktopdir}/acroread.desktop
%{_pixmapsdir}/*

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: acroread.spec,v $
Revision 1.105  2010/04/04 18:12:55  pawelz
- blah, I incremented E instead of R.
- fixed. E: 1, R: 3

Revision 1.104  2010/04/04 17:57:21  pawelz
- sorted deps
- modified previous commit log: (license-installer.sh updated to 11298)

Revision 1.103  2010/04/04 16:56:01  pawelz
- license-installer.sh updated to 11298
- rel 2

Revision 1.102  2010/01/15 22:11:47  evil
- R: iconv (and finally works on 64bit :)

Revision 1.101  2010/01/15 20:16:05  draenog
- up to 9.3
- fixes: CVE-2009-3953, CVE-2009-3954, CVE-2009-3955, CVE-2009-3956,
  CVE-2009-3957, CVE-2009-3958, CVE-2009-3959, CVE-2009-4324

Revision 1.100  2009/12/26 11:26:41  pawelz
- license-installer.sh moved to DistFiles

Revision 1.99  2009/10/26 11:50:43  glen
- rel macro is back (for relup.sh etc scripts processing it needs to be without macros)

Revision 1.98  2009/10/26 11:49:26  glen
- there is no epoch 0

Revision 1.97  2009/10/26 08:13:36  pawelz
- don't use _rel macro. It is was used only in Release tag.
- rel 2

Revision 1.96  2009/10/26 07:42:03  pawelz
- use new cvs layout
- BR rpm-build-tools >= 0:4.4.35 (needs builder.sh that uses new cvs layout)

Revision 1.95  2009/08/08 12:36:03  hawk
- updated to 9.1.3

Revision 1.94  2009/06/15 13:20:03  blues
- multiple CVE security blockers

Revision 1.93  2009/05/13 15:08:08  blues
- 9.1.1 [fixes: CVE-2009-1492, CVE-2009-1493]

Revision 1.92  2009/03/27 21:31:43  duddits
- oops, missing CVE entries added to %log

Revision 1.91  2009/03/27 21:27:19  duddits
- up to 9.1.0
- Source0 updated
- %install tune-ups
- %files
- do not STBR: needs testing!
- fixes CVE-2009-0193, CVE-2009-0927, CVE-2009-1061, CVE-2009-1062

Revision 1.90  2009/03/23 10:30:05  blues
- one more CVE note

Revision 1.89  2008/11/11 20:14:59  blues
- 8.1.3
- fixes: CVE-2008-2549, CVE-2008-2992, CVE-2008-4812, CVE-2008-4813, CVE-2008-4814, CVE-2008-4815, CVE-2008-4816, CVE-2008-4817, CVE-2009-0927

Revision 1.88  2008/08/12 13:34:51  draenog
- up to 8.1.2 Security Update 1 (fixes CVE-2008-2641, CVE-2008-0883)
- correct CVE in log for rev. 1.86

Revision 1.87  2008/08/11 06:24:52  paszczus
- added info about CVE

Revision 1.86  2008-02-10 11:40:32  arekm
- up to 8.1.2 (security fixes; CVE-2008-0667, CVE-2007-5666, CVE-2007-5659,
  CVE-2007-5663, CVE-2008-0726, CVE-2008-0655)

Revision 1.85  2008-01-29 10:00:04  hawk
- renumbered sources so builder script isn't confused by source0 md5

Revision 1.84  2008-01-28 17:45:54  hawk
- browser-plugins v2
- proper %post/%postun for plugin subpackage
- release 2

Revision 1.83  2007-11-05 22:06:55  qboosh
- updated symlinks for openldap 2.4.x
- hide private copies of old system libraries from rpm Provides

Revision 1.82  2007/11/05 21:36:35  qboosh
- NoSource: 0 to stop builder from cvs uping Source0 (and thus sending whole AdobeReader to CVS server)

Revision 1.81  2007/09/19 14:08:08  blues
- the binary is for i486 at least...

Revision 1.80  2007/09/17 18:45:34  gotar
- updated COPYSOURCES,
- packaged mozilla/prefs.js, no more LICREAD.TXT documentation

Revision 1.79  2007/09/17 18:27:34  gotar
- upgraded to 8.1.1

Revision 1.78  2007/04/21 09:25:31  ankry
- typo

Revision 1.77  2007/04/20 13:29:25  ankry
- proper patches handling (hopefully)

Revision 1.76  2007/04/20 10:47:25  ankry
- package patches into -installer for without license_agreement

Revision 1.75  2007/04/19 16:36:06  beorn
- Reverted last change

Revision 1.74  2007/04/19 14:58:30  beorn
- Removed non-existent patches

Revision 1.73  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.72  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.71  2007/01/23 19:37:31  qboosh
- use NoSource-md5

Revision 1.70  2007/01/23 11:01:02  glen
- 7.0.9
  CVE-2006-5857, CVE-2007-0044, CVE-2007-0045, CVE-2007-0046, CVE-2007-0048

Revision 1.69  2006/12/08 18:20:47  qboosh
- added gtk patch (real fix for expr syntax errors with gtk+ 2.10 or without gtk+2-devel)

Revision 1.68  2006/11/13 14:51:45  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.67  2006/10/29 20:56:19  glen
- rel 4

Revision 1.66  2006/10/27 21:56:07  czarny
- added patches stolen from ArchLinux to get rid of expr syntax error problem
- runs, works - enjoy!

Revision 1.65  2006/06/14 10:58:12  glen
- more triggers, rel 3

Revision 1.64  2006/06/13 19:29:56  blues
- rel.2 - unified plugin for browsers subpackage name.

Revision 1.63  2006/06/12 11:32:56  charles
- cosmetics

Revision 1.62  2006/06/12 11:25:33  charles
- added missing plug_ins3d

Revision 1.61  2006/06/12 11:09:55  charles
- updated to 7.0.8 (security bugfixes)

Revision 1.60  2006/05/24 07:00:08  hawk
- dropped obsolete R: mozilla-embedded, works perfectly in
  seamonkey and firefox
- release 7

Revision 1.59  2006/05/21 11:39:04  hawk
- added seamonkey to browsers
- release 6

Revision 1.58  2006/05/20 11:01:53  baggins
- rel 5
- fix browser-plugins req

Revision 1.57  2006/05/20 00:02:54  baggins
- rel 4
- clean mess in mozilla triggers

Revision 1.56  2006/04/22 18:50:06  glen
- rel 3

Revision 1.55  2006/04/22 17:20:37  glen
- rel 2

Revision 1.54  2006/04/22 17:19:38  glen
- adapter, require rpm-build-tools for installer

Revision 1.53  2006/02/09 15:36:10  maciek2w
- updated to 7.0.5; STBR

Revision 1.52  2006/02/02 02:52:41  charles
- updated for new (2.3) openldap-libs
- rel++

Revision 1.51  2006/01/02 11:00:41  glen
- run script in %post; rel 4

Revision 1.50  2005/12/09 13:47:14  baggins
- release 3

Revision 1.49  2005/12/09 13:41:19  baggins
- triggers fixed

Revision 1.48  2005/12/09 13:33:35  baggins
- added missing defines

Revision 1.47  2005/12/09 13:30:00  baggins
- release 2.1
- use browser-plugins framework

Revision 1.46  2005/08/28 20:07:12  glen
- use shared license-installer.sh from SOURCES
- rel 2

Revision 1.45  2005/08/19 11:31:03  blekot
- up to 701 (7.0.1) (security bug fixed)

Revision 1.44  2005/05/13 02:40:44  charles
- use system openldap-libs (symlinks) for PPKLite plugin
- fixed %files
- rel. 3

Revision 1.43  2005/05/12 18:27:50  gotar
- fixed stripping disabling

Revision 1.42  2005/03/31 12:39:22  ankry
- rel. 1

Revision 1.41  2005/03/23 19:49:39  arekm
- merge from devel; add missing directories; use system certs.

Revision 1.40.2.5  2005/03/15 11:13:22  pawcioos
- updated to 7.0

Revision 1.40.2.4  2005/01/08 14:08:24  arekm
- add epoch to requires

Revision 1.40.2.3  2005/01/08 13:59:10  arekm
- version as 7.0; don't strip *.api (it's still 52MB whether you strip
  *.api or not); add Legal dir. works now

Revision 1.40.2.2  2005/01/08 03:16:50  ankry
- Epoch: 1 (70 < 5010)

Revision 1.40.2.1  2005/01/08 00:24:29  arekm
- 7.0 beta; doesn't work for me

Revision 1.40  2005/01/02 11:08:07  tommat
- removed calls to nonexistant patch in installer - now works
- rel 2, STBR

Revision 1.39  2004/12/15 23:04:39  adamg
- we don't want to copy patches that don't exist

Revision 1.38  2004/12/15 21:54:41  qboosh
- fixed build, removed obsolete locale patch

Revision 1.37  2004/12/15 17:57:06  paszczus
- updated to 5.0.10

Revision 1.36  2004/12/13 12:47:32  ankry
- check whether to install mozilla plugin, unhode the patch is _not_
  commented out, rel. 3

Revision 1.35  2004/11/18 03:06:53  ankry
- license-compatoble installer, rel. 2

Revision 1.34  2004/09/28 21:50:54  gotar
- don't strip wwwlink.api either (what about rest?)

Revision 1.33  2004/09/28 12:24:05  gotar
- ewh.api cannot be stripped for mozilla plugin to work

Revision 1.32  2004/09/28 11:50:33  gotar
- commented out locale patch (don't see explanation for it's existence),
- updated md5.

Revision 1.31  2004/06/13 19:40:10  arekm
- updated to 509

Revision 1.30  2003/09/26 14:03:20  adgor
- Desktop file moved to %{_desktopdir}

Revision 1.29  2003/09/12 22:35:39  grzegol
- added icon
- rel. 2

Revision 1.28  2003/08/20 20:43:24  grzegol
- updated to 508

Revision 1.27  2003/08/18 08:07:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/08/11 15:15:41  snurf
- description fixes

Revision 1.25  2003/08/06 16:04:32  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.24  2003/07/10 14:14:29  qboosh
- generally NOT distributable

Revision 1.23  2003/06/21 10:55:50  misi3k
- updated to 5.0.7

Revision 1.22  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/02/01 12:34:25  gotar
- added URL, done some cosmetics

Revision 1.19  2003/01/31 22:22:31  migo
- fixes/typos in summaries/descriptions

Revision 1.18  2003/01/13 09:56:53  adgor
- Prefix /usr
- Release 3

Revision 1.17  2002/09/08 18:49:08  blues
- release 2 - added desktop - STBR

Revision 1.16  2002/07/26 21:13:11  qboosh
- security update to 506, updated patch

Revision 1.15  2002/05/23 20:58:50  qboosh
- new %doc
- +x for nppdf.so (but it doesn't work for me anyway)

Revision 1.14  2002/05/22 10:36:53  zagrodzki
- updated to 5.05

Revision 1.13  2002/05/14 14:46:30  saq
- mozilla plugin placed the right place
- ... and placed in an appropriate subpackage

Revision 1.12  2002/04/25 15:41:38  arturs
- fixed a small typo

Revision 1.11  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/13 22:42:06  ankry
- added desc from KSI; adapterized
- release 3

Revision 1.9  2002/01/18 02:12:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/31 10:50:37  qboosh
- adapterized, cosmetics

Revision 1.7  2001/10/18 23:15:40  blues
- s/Copyright/License/

Revision 1.6  2001/10/01 17:32:40  zagrodzki
- added locale patch
- rel 2

Revision 1.5  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.4  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.1  2000/02/21 23:18:50  klakier
- working version
  TODO: fix permissions (some files doesn't need +x)
